CVE-2023-4048

NameCVE-2023-4048
DescriptionAn out-of-bounds read could have led to an exploitable crash when parsing HTML with DOMParser in low memory situations. This vulnerability affects Firefox < 116, Firefox ESR < 102.14, and Firefox ESR < 115.1.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3521-1, DLA-3523-1, DSA-5464-1, DSA-5469-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid126.0-1fixed
firefox-esr (PTS)jessie, jessie (lts)68.9.0esr-1~deb8u2vulnerable
stretch (security), stretch (lts), stretch91.11.0esr-1~deb9u1vulnerable
buster91.12.0esr-1~deb10u1vulnerable
buster (security)115.11.0esr-1~deb10u1fixed
bullseye115.7.0esr-1~deb11u1fixed
bullseye (security)115.11.0esr-1~deb11u1fixed
bookworm115.7.0esr-1~deb12u1fixed
bookworm (security)115.11.0esr-1~deb12u1fixed
sid, trixie115.11.0esr-1fixed
thunderbird (PTS)jessie, jessie (lts)1:68.9.0-1~deb8u2vulnerable
stretch (security), stretch (lts), stretch1:91.10.0-1~deb9u1vulnerable
buster1:91.12.0-1~deb10u1vulnerable
buster (security)1:115.11.0-1~deb10u1fixed
bullseye1:115.7.0-1~deb11u1fixed
bullseye (security)1:115.11.0-1~deb11u1fixed
bookworm1:115.7.0-1~deb12u1fixed
bookworm (security)1:115.11.0-1~deb12u1fixed
trixie1:115.10.1-1fixed
sid1:115.11.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)116.0-1
firefox-esrsourcejessie(unfixed)end-of-life
firefox-esrsourcestretch(unfixed)end-of-life
firefox-esrsourcebuster102.14.0esr-1~deb10u1DLA-3523-1
firefox-esrsourcebullseye102.14.0esr-1~deb11u1DSA-5464-1
firefox-esrsourcebookworm102.14.0esr-1~deb12u1DSA-5464-1
firefox-esrsource(unstable)115.1.0esr-1
thunderbirdsourcejessie(unfixed)end-of-life
thunderbirdsourcestretch(unfixed)end-of-life
thunderbirdsourcebuster1:102.14.0-1~deb10u1DLA-3521-1
thunderbirdsourcebullseye1:102.14.0-1~deb11u1DSA-5469-1
thunderbirdsourcebookworm1:102.14.0-1~deb12u1DSA-5469-1
thunderbirdsource(unstable)1:115.1.0-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2023-29/#CVE-2023-4048
https://www.mozilla.org/en-US/security/advisories/mfsa2023-30/#CVE-2023-4048
https://www.mozilla.org/en-US/security/advisories/mfsa2023-31/#CVE-2023-4048
https://www.mozilla.org/en-US/security/advisories/mfsa2023-32/#CVE-2023-4048
https://www.mozilla.org/en-US/security/advisories/mfsa2023-33/#CVE-2023-4048

Search for package or bug name: Reporting problems